@salesforce/analytics 
====

commands for working with analytics applications

<!-- toc -->
* [Install](#install)
* [Usage](#usage)
<!-- tocstop -->
# Install

```
$ sfdx plugins:install @salesforce/analytics
```
# Usage

```sh-session
$ sfdx analytics --help [COMMAND]
...
```
<!-- commands -->
* [`sfdx analytics:app:create`](#sfdx-analyticsappcreate)
* [`sfdx analytics:app:delete`](#sfdx-analyticsappdelete)
* [`sfdx analytics:app:list`](#sfdx-analyticsapplist)
* [`sfdx analytics:app:update`](#sfdx-analyticsappupdate)
* [`sfdx analytics:dashboard:list`](#sfdx-analyticsdashboardlist)
* [`sfdx analytics:template:create`](#sfdx-analyticstemplatecreate)
* [`sfdx analytics:template:delete`](#sfdx-analyticstemplatedelete)
* [`sfdx analytics:template:list`](#sfdx-analyticstemplatelist)
* [`sfdx analytics:template:update`](#sfdx-analyticstemplateupdate)

## `sfdx analytics:app:create`

create an analytics application

```
USAGE
  $ sfdx analytics:app:create

OPTIONS
  -f, --definitionfile=definitionfile             analytics template definition file; required unless --templateid is
                                                  specified

  -t, --templateid=templateid                     template ID; required unless --definitionfile is specified

  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org

  --apiversion=apiversion                         override the api version used for api requests made by this command

  --json                                          format output as json

  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLES
  $ sfdx analytics:app:create -t templateid
  $ sfdx analytics:app:create -f path_to_json_file
```

## `sfdx analytics:app:delete`

delete analytics applications

```
USAGE
  $ sfdx analytics:app:delete

OPTIONS
  -f, --folderid=folderid                         (required) folder ID
  -p, --noprompt                                  do not prompt to confirm force delete
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command
  --json                                          format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:app:delete -f folderid
```

## `sfdx analytics:app:list`

list analytics applications

```
USAGE
  $ sfdx analytics:app:list

OPTIONS
  -f, --folderid=folderid                         folder ID
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command
  --json                                          format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:app:list --targetusername myOrg@example.com --targetdevhubusername my@org.com
```

## `sfdx analytics:app:update`

updates an analytics application

```
USAGE
  $ sfdx analytics:app:update

OPTIONS
  -f, --definitionfile=definitionfile             (required) analytics application definition file for updates
  -i, --folderid=folderid                         (required) folder ID
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command
  --json                                          format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:app:update -i folderId -f path_to_json_file
```

## `sfdx analytics:dashboard:list`

list analytics dashboards

```
USAGE
  $ sfdx analytics:dashboard:list

OPTIONS
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command
  --json                                          format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:dashboard:list --targetusername myorg@example.com --targetdevhubusername devhub@example.com
```

## `sfdx analytics:template:create`

create analytics templates

```
USAGE
  $ sfdx analytics:template:create

OPTIONS
  -f, --folderid=folderid                         (required) folder ID
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command
  --json                                          format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:template:create -f folderid
```

## `sfdx analytics:template:delete`

delete analytics templates

```
USAGE
  $ sfdx analytics:template:delete

OPTIONS
  -p, --noprompt                                  do not prompt to confirm force delete
  -t, --templateid=templateid                     (required) template ID
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command

  --forcedelete                                   force delete the analytics template and all linked analytics
                                                  applications

  --json                                          format output as json

  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:template:delete -t templateid
```

## `sfdx analytics:template:list`

list analytics templates

```
USAGE
  $ sfdx analytics:template:list

OPTIONS
  -a, --includesalesforcetemplates                include salesforce templates
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command
  --json                                          format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:template:list --targetusername myorg@example.com --targetdevhubusername devhub@example.com
```

## `sfdx analytics:template:update`

update analytics templates

```
USAGE
  $ sfdx analytics:template:update

OPTIONS
  -f, --folderid=folderid                         folder ID
  -t, --templateid=templateid                     (required) template ID
  -u, --targetusername=targetusername             username or alias for the target org; overrides default target org
  --apiversion=apiversion                         override the api version used for api requests made by this command
  --json                                          format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)  logging level for this command invocation

EXAMPLE
  $ sfdx analytics:template:update -t templateid -f folderid
```
<!-- commandsstop -->
