"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const wavetemplate_1 = require("../../../lib/analytics/template/wavetemplate");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'template');
class Create extends command_1.SfdxCommand {
    async run() {
        this.template = new wavetemplate_1.default(this.org);
        // Create the wave template from an app/folder id
        await this.template.create(this.flags.folderid);
        const waveTemplateId = this.template.id;
        this.ux.log(messages.getMessage('createSuccess', [waveTemplateId]));
        return waveTemplateId;
    }
}
Create.description = messages.getMessage('createCommandDescription');
Create.longDescription = messages.getMessage('createCommandLongDescription');
Create.examples = [
    '$ sfdx analytics:template:create -f folderid'
];
Create.flagsConfig = {
    folderid: {
        char: 'f',
        type: 'id',
        required: true,
        description: messages.getMessage('folderidFlagDescription'),
        longDescription: messages.getMessage('folderidFlagLongDescription')
    }
};
// Comment this out if your command does not require an org username
Create.requiresUsername = true;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
Create.requiresProject = true;
exports.default = Create;
//# sourceMappingURL=create.js.map