"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
class Dashboard {
    constructor(organization) {
        this._dashboards = [];
        this.connection = organization.getConnection();
        this.dashboardsUrl = `${this.connection.baseUrl()}/wave/dashboards/`;
    }
    get id() {
        return this._id;
    }
    get dashboards() {
        return this._dashboards;
    }
    get dashboard() {
        return this._dashboard;
    }
    async list() {
        const response = await this.connection.request({
            method: 'GET',
            url: this.dashboardsUrl
        });
        if (response) {
            this._dashboards = response.dashboards;
        }
        else {
            // do nothing
        }
    }
}
exports.default = Dashboard;
//# sourceMappingURL=dashboard.js.map