"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'app');
const appId = '0llxx000000000zCAA';
describe('analytics:app:create', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(async function (request) {
        if (request.method === 'GET') {
            return Promise.resolve({ folders: [] });
        }
        if (request.method === 'POST') {
            return Promise.resolve({ id: appId });
        }
    }) // tslint:disable-line no-any TODO until CLI fixes request type
        .stdout()
        .command(['analytics:app:create', '--templateid', '0Nkxx000000000zCAA'])
        .it('runs analytics:app:create  --templateid 0Nkxx000000000zCAA', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('createSuccess1', [appId]));
    });
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(async function (request) {
        if (request.method === 'GET') {
            return Promise.resolve({ folders: [] });
        }
        if (request.method === 'POST') {
            return Promise.resolve({ id: '0llxx000000000zCAA' });
        }
    }) // tslint:disable-line no-any TODO until CLI fixes request type
        .stub(command_1.core.fs, 'readFile', () => { })
        .stdout()
        .command(['analytics:app:create', '--definitionfile', 'config/foo.json'])
        .it('runs analytics:app:create  --definitionfile config/foo.json', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('createSuccess1', [appId]));
    });
});
//# sourceMappingURL=create.test.js.map