"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'app');
const appId = '0llxx000000000zCAA';
describe('analytics:app:delete', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(async function (request) {
        if (request.method === 'DELETE') {
            return Promise.resolve({ id: appId });
        }
    }) // tslint:disable-line no-any TODO until CLI fixes request type
        .stdout()
        .command(['analytics:app:delete', '--noprompt', '--folderid', appId])
        .it('runs analytics:app:delete  --folderid 0llxx000000000zCAA --noprompt', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('deleteAppSuccess', [appId]));
    });
});
//# sourceMappingURL=delete.test.js.map