"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'app');
describe('analytics:app:list', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ id: '0llxx000000000zCAA', folders: [] });
    })
        .stdout()
        .command(['analytics:app:list', '--folderid', '0llxx000000000zCAA'])
        .it('runs analytics:app:list  --folderid 0llxx000000000zCAA', ctx => {
        test_1.expect(ctx.stdout).to.contain('No results found.');
    });
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ id: '0llxx000000000zCAA', folders: [{
                    name: 'SharedApp',
                    label: 'Shared App',
                    folderid: '00lT1000000DfqRIAS',
                    status: 'newstatus'
                }]
        });
    })
        .stdout()
        .command(['analytics:app:list'])
        .it('runs analytics:app:list', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('appsFound', [1]));
    });
});
//# sourceMappingURL=list.test.js.map