"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'app');
const appId = '0llxx000000000zCAA';
describe('analytics:app:update', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ id: appId });
    })
        .stub(command_1.core.fs, 'readFile', () => { })
        .stdout()
        .command(['analytics:app:update', '--folderid', appId, '--definitionfile', __dirname])
        .it('runs analytics:app:update  --folderid 0llxx000000000zCAA --definitionfile foo', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('updateSuccess', [appId]));
    });
});
//# sourceMappingURL=update.test.js.map