"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'dashboard');
const dashBoardValues = [{ id: '0FKxx0000004CSPGA2', name: 'mydash', namespace: 'testNS', label: 'my dashboard',
        folder: { id: '0llxx000000000zCAA', name: 'my app' } }];
describe('analytics:dashboard:list', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ dashboards: dashBoardValues });
    })
        .stdout()
        .command(['analytics:dashboard:list'])
        .it('runs analytics:dashboard:list', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('dashboardsFound', [1]));
    });
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ dashboards: [] });
    })
        .stdout()
        .command(['analytics:dashboard:list'])
        .it('runs analytics:dashboard:list', ctx => {
        test_1.expect(ctx.stdout).to.contain('No results found.');
    });
});
//# sourceMappingURL=list.test.js.map