"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'template');
const templateId = '0Nkxx000000000zCAA';
const appId = '0llxx000000000zCAA';
describe('analytics:template:delete', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(async function (request) {
        if (request.method === 'GET') {
            return Promise.resolve({ folders: [], templates: [templateId] });
        }
        if (request.method === 'DELETE') {
            return Promise.resolve({ id: templateId });
        }
    }) // tslint:disable-line no-any TODO until CLI fixes request type
        .stdout()
        .command(['analytics:template:delete', '--noprompt', '--forcedelete', '--templateid', templateId])
        .it('runs analytics:template:delete  --templateid 0Nkxx000000000zCAA --noprompt --forcedelete', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('deleteTemplateSuccess', [templateId]));
    });
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(async function (request) {
        if (request.method === 'GET') {
            return Promise.resolve({ templates: [templateId], id: '0llxx000000000zCAA', folders: [
                    { id: appId,
                        templateSourceId: templateId
                    }
                ]
            });
        }
        if (request.method === 'DELETE') {
            return Promise.resolve({ id: appId });
        }
    }) // tslint:disable-line no-any TODO until CLI fixes request type
        .stdout()
        .command(['analytics:template:delete', '--noprompt', '--forcedelete', '--templateid', templateId])
        .it('runs analytics:template:delete  --templateid 0Nkxx000000000zCAA --noprompt --forcedelete', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('deleteAppSuccess', [appId]));
    });
});
//# sourceMappingURL=delete.test.js.map