"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'template');
const templateValues = [{ name: 'foo', id: '0Nkxx000000000zCAA' }, { name: 'foo1', id: 'file_based_template' }];
describe('analytics:template:list', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ templates: templateValues });
    })
        .stdout()
        .command(['analytics:template:list'])
        .it('runs analytics:template:list', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('templatesFound', [1]));
    });
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ templates: templateValues });
    })
        .stdout()
        .command(['analytics:template:list', '--includesalesforcetemplates'])
        .it('runs analytics:template:list --includesalesforcetemplates', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('templatesFound', [2]));
    });
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(() => {
        return Promise.resolve({ templates: [] });
    })
        .stdout()
        .command(['analytics:template:list'])
        .it('runs analytics:template:list', ctx => {
        test_1.expect(ctx.stdout).to.contain('No results found.');
    });
});
//# sourceMappingURL=list.test.js.map