"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const test_1 = require("@salesforce/command/dist/test");
command_1.core.Messages.importMessagesDirectory(__dirname);
const messages = command_1.core.Messages.loadMessages('@salesforce/analytics', 'template');
const templateId = '0Nkxx000000000zCAA';
describe('analytics:template:update', () => {
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(async function (request) {
        if (request.method === 'GET') {
            return Promise.resolve({ folders: [], templates: [] });
        }
        if (request.method === 'POST') {
            return Promise.resolve({ id: templateId });
        }
    }) // tslint:disable-line no-any TODO until CLI fixes request type
        .stdout()
        .command(['analytics:template:update', '--templateid', '0Nkxx000000000zCAA'])
        .it('runs analytics:app:update  --templateid 0Nkxx000000000zCAA ', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('errorNoFolderFound', [templateId]));
    });
    test_1.test
        .withOrg({ username: 'test@org.com' }, true)
        .withProject()
        .withConnectionRequest(async function (request) {
        if (request.method === 'GET') {
            return Promise.resolve({ folders: [], templates: [] });
        }
        if (request.method === 'POST') {
            return Promise.resolve({ id: '0llxx000000000zCAA' });
        }
        if (request.method === 'PUT') {
            return Promise.resolve({ id: templateId });
        }
    }) // tslint:disable-line no-any TODO until CLI fixes request type
        .stdout()
        .command(['analytics:template:update', '--templateid', '0Nkxx000000000zCAA', '--folderid', '0llxx000000000zCAA'])
        .it('runs analytics:app:update  --templateid 0Nkxx000000000zCAA --folderid 0llxx000000000zCAA', ctx => {
        test_1.expect(ctx.stdout).to.contain(messages.getMessage('updateSuccess', [templateId]));
    });
});
//# sourceMappingURL=update.test.js.map